%global pkgvers 0
%global scdate0 20250310
%global schash0 aec706b11d4576308fff622f82e7461a9647604e
%global branch0 main
%global source0 https://github.com/gnuradio/volk.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           volk
Version:        3.2.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Vector-Optimized Library of Kernels
License:        LGPLv3

URL:            https://libvolk.org

BuildRequires:  cmake git gcc-c++ doxygen python3
BuildRequires:  python3-devel python3-setuptools python3-mako
BuildRequires:  orc-devel

%define __cmake_in_source_build 1

%description
It is a library that contains kernels of hand-written
SIMD code for different mathematical operations.

%package        devel
Summary:        Development for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development files for %{name} library.

%package        python3
Summary:        Python for %{name}
Requires:       %{name} = %{version}-%{release}

%description    python3
Python components for %{name} library.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git submodule update --init --depth 1 cpu_features
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake -Wno-dev .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DBUILD_SHARED_LIBS=ON

make %{?_smp_mflags} VERBOSE=1
popd


%install
rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd

# remove spurious
rm -rf %{buildroot}%{_libdir}/libcpu_features.a


%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_prefix}/%{_lib}/*.so
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/*

%files python3
%{python3_sitearch}/*


%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- github update releases
